Send SMS
curl --request POST \
--url https://api.dojah.io/api/v1/messaging/sms \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sender_id": "<string>",
"destination": "<string>",
"channel": "<string>",
"priority": true,
"message": "<string>"
}
'import requests
url = "https://api.dojah.io/api/v1/messaging/sms"
payload = {
"sender_id": "<string>",
"destination": "<string>",
"channel": "<string>",
"priority": True,
"message": "<string>"
}
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
AppId: '<appid>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sender_id: '<string>',
destination: '<string>',
channel: '<string>',
priority: true,
message: '<string>'
})
};
fetch('https://api.dojah.io/api/v1/messaging/sms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"status": "Sent",
"mobile": "2349069278034",
"message_id": "dj_c8095767-c69f-4bd7-aa52-7cb469effb51",
"reference_id": "cc7f9a23-959a-4708-ac6e-5cffec7682ba"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Send SMS
An endpoint that allows you to deliver transactional messages to your users via our SMS or WhatsApp channels
POST
/
api
/
v1
/
messaging
/
sms
Send SMS
Application ID from dashboard
BODY PARAMS
Registered Sender ID
Mobile number to receive message. Multiple numbers should be separated by comma
Either or any of the following can be used. sms, whatsapp,voice
Indicate if you want to send with the priority mode. Default is false
Body of Message to be sent
RESPONSES
json
{
"entity": {
"status": "Sent",
"mobile": "2349069278034",
"message_id": "dj_c8095767-c69f-4bd7-aa52-7cb469effb51",
"reference_id": "cc7f9a23-959a-4708-ac6e-5cffec7682ba"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I